Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class ContextConfig

    java.lang.Object
      org.apache.catalina.startup.ContextConfig

All Implemented Interfaces:
  LifecycleListener

public final class ContextConfig
extends java.lang.Object
implements LifecycleListener

Startup event listener for a Context that configures the properties of that Context, and the associated defined servlets.

Version:
  $Revision: 1.44.2.2 $ $Date: 2004/09/24 08:23:30 $
Author:
  Craig R. McClanahan, Jean-Francois Arcand

Constructor Summary
`ContextConfig()`

Method Summary
`static org.apache.commons.digester.Digester` | `createWebXmlDigester(boolean namespaceAware, boolean validation)`
`int` | `getDebug()` Return the debugging detail level for this component.
`java.lang.String` | `getDefaultWebXml()` Return the location of the default deployment descriptor
`void` | `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Context.
`void` | `setDebug(int debug)` Set the debugging detail level for this component.
`void` | `setDefaultWebXml(java.lang.String path)` Set the location of the default deployment descriptor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextConfig

    public ContextConfig()

Method Detail

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.

  Parameters:
    `debug` - The new debugging detail level

### getDefaultWebXml

    public java.lang.String getDefaultWebXml()

  Return the location of the default deployment descriptor

### setDefaultWebXml

    public void setDefaultWebXml(java.lang.String path)

  Set the location of the default deployment descriptor

  Parameters:
    `path` - Absolute/relative path to the default web.xml

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Process the START event for an associated Context.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The lifecycle event that has occurred

### createWebXmlDigester

    public static org.apache.commons.digester.Digester createWebXmlDigester(boolean namespaceAware,
                                                                            boolean validation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.